name: Test setup and build APKs archlinux
run-name: ${{ gitea.actor }} is building APKs for ${{ gitea.repository }}
on: [push]
branches:
  - master

jobs:
  Build-APK-Arch-Linux: # Renamed job for clarity
    runs-on: archlinux

    container:
      volumes:
        - /prod/data/apk/:/prod/data/apk/:rw # host_path:container_path:mode (rw or ro)

    steps:

      - name: Install act_runner dependencies
        run: |
          pacman -Syu --noconfirm git base-devel curl jq wget

      - name: Fetch act_runner setup script
        run: |
          git clone https://gist.github.com/c7672ecd2ef5d96ebd09ccd13a668a91.git /opt/act_runner
          chmod +x /opt/act_runner/install.sh
          /opt/act_runner/install.sh
      
      - name: Install Node.js for Checkout Action
        run: |
          pacman -Syu --noconfirm nodejs npm

      - name: Check out Repository
        uses: actions/checkout@v4

      - name: Start setup process
        run: |
          ./setup.sh
          ./build.sh

      - name: Copy APKs to host directory
        run: |
          ls -R src/**/build/outputs/apk
          cp src/**/build/outputs/apk/**/*.apk /prod/data/apk/
